org.ajax4jsf.renderkit.html

## Class AjaxOutputPanelRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.html.AjaxOutputPanelRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.resource.ResourceProduser

      public class AjaxOutputPanelRenderer
      extends org.ajax4jsf.renderkit.RendererBase

  Version:
    $Revision: 1.1.2.1 $ $Date: 2007/02/01 15:31:27 $
  Author:
    asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxOutputPanelRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeChildren, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxOutputPanelRenderer

          public AjaxOutputPanelRenderer()

  - ### Method Detail

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### getComponentClass

          protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### doEncodeBegin

          protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                throws java.io.IOException

      Overrides:
        `doEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

Copyright © 2013. All Rights Reserved.